package com.gree.mall.manager.commonmapper;

import com.baomidou.mybatisplus.annotation.SqlParser;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.gree.mall.manager.bean.websit.*;
import com.gree.mall.manager.zfire.bean.ZfireParamBean;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.scheduling.annotation.Scheduled;

import java.util.List;

@Mapper
public interface WebsitSalesRetCMapper {

    @SqlParser(filter = true)
    IPage<WebsitSalesRetVO> pageV2(Page page, @Param("ex") ZfireParamBean zfireParam, @Param("companyWechatIds")List<String> companyWechatIds
    ,@Param("websitId") String websitId);

    @SqlParser(filter = true)
    IPage<WebsitPartsRetVO> pagePartsRetV2(Page page,@Param("ex")  ZfireParamBean zfireParam, @Param("companyWechatIds")List<String> companyWechatIds
,@Param("websitId") String websitId);

    @SqlParser(filter = true)
    IPage<SettlementOrderLogicVO> pageSettletV2(Page page,@Param("ex")  ZfireParamBean zfireParam,@Param("companyWechatIds") List<String> companyWechatIds);

    @SqlParser(filter = true)
    IPage<WithdrawalOrderVO> pageWithdrawalV2(Page page, @Param("ex")  ZfireParamBean zfireParam,@Param("companyWechatIds") List<String> companyWechatIds);

    @SqlParser(filter = true)
    IPage<WorkerSettlementVO> workerSettlementPageV2(Page page,@Param("ex") ZfireParamBean zfireParam);

    @SqlParser(filter = true)
    IPage<WorkerSettlementLineVO> pageLineSettlementV2(Page page,@Param("ex") ZfireParamBean zfireParam);

    @SqlParser(filter = true)
    IPage<WebsitPartsFactoryRetVO> pagePartsFactoryRetV2(Page page,@Param("ex")  ZfireParamBean zfireParam, @Param("companyWechatIds")List<String> companyWechatIds
            ,@Param("websitId") String websitId);
}
